### Name: Adult
### Title: Adult Data Set
### Aliases: Adult Adult_transactions
### Keywords: datasets

### ** Examples

data("Adult")
dim(Adult)
Adult[1:2,]

### remove attributes
Adult[["fnlwgt"]] <- NULL
Adult[["education-num"]] <- NULL

### map metric attributes
Adult[[ "age"]] <- ordered(cut(Adult[[ "age"]], c(15,25,45,65,100)),
    labels = c("Young", "Middle-aged", "Senior", "Old"))

Adult[[ "hours-per-week"]] <- ordered(cut(Adult[[ "hours-per-week"]],
      c(0,25,40,60,168)),
    labels = c("Part-time", "Full-time", "Over-time", "Workaholic"))

Adult[[ "capital-gain"]] <- ordered(cut(Adult[[ "capital-gain"]],
      c(-Inf,0,median(Adult[[ "capital-gain"]][Adult[[ "capital-gain"]]>0]),1000000)),
    labels = c("None", "Low", "High"))

Adult[[ "capital-loss"]] <- ordered(cut(Adult[[ "capital-loss"]],
      c(-Inf,0,
        median(Adult[[ "capital-loss"]][Adult[[ "capital-loss"]]>0]),1000000)),
    labels = c("None", "Low", "High"))

### create transactions
Adult_transactions <- as(Adult, "transactions")
Adult_transactions




